## org.eclipse.emf.compare.match.metamodel.provider
Class MatchEditPlugin.Implementation

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.emf.common.EMFPlugin.EclipsePlugin
              org.eclipse.emf.compare.match.metamodel.provider.MatchEditPlugin.Implementation

All Implemented Interfaces:
  org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator, org.osgi.framework.BundleActivator

Enclosing class:
  MatchEditPlugin

    public static class MatchEditPlugin.Implementation

extends org.eclipse.emf.common.EMFPlugin.EclipsePlugin

The actual implementation of the Eclipse Plugin.

Field Summary

Fields inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin
`helper`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`MatchEditPlugin.Implementation()` Creates an instance

Method Summary

Methods inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin
`doGetImage, getBaseURL, getImage, getString, getString, getString, getString, getSymbolicName, log`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, startup, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MatchEditPlugin.Implementation

    public MatchEditPlugin.Implementation()

  Creates an instance.

Copyright 2006 IBM Corporation and others. All Rights Reserved.